<!-- Saisie mot de passe Form -->
<ng-template #content let-modal>
    <div class="modal-header">
      <h4 class="modal-title" id="modal-form">Entrez Votre Mot de Passe Gmail</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
        <form #addForm="ngForm" (ngSubmit)="sendMailN2(TicketToDisplay , addForm)">
            <div class="form-group">
              <label for="text">Mot de Passe</label>
              <input type="password" ngModel class="form-control" id="fromPassword" name="fromPassword" placeholder="Saisie le mot de passe de votre compte Gmail">
            </div>
            <button type="submit" class="btn btn-success" (click)="modal.close()">Confirmer</button>
        </form>
    </div>
  </ng-template>


  <ng-template #contentComments let-modal>
    <div class="modal-header">
        <div>
            <button class="btn btn-primary" (click)="openFormModal(formContent)">Ajouter Commentaire</button>
        </div>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
        <div class="container mt-5">
            <div class="row d-flex justify-content-center">
                
                <div class="col-md-8" *ngFor="let comment of commentaires">
                    <div class="card p-3">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="user d-flex flex-row align-items-center"> <img src="https://www.pikpng.com/pngl/m/70-706939_headphones-clipart-word-work-center-call-center-agent.png" width="30" class="user-img rounded-circle mr-2"> <span><small class="font-weight-bold text-primary">{{comment.user.nom}} {{comment.user.prenom}}</small> <small class="font-weight-bold">{{comment.text}}</small></span> </div> <small>{{comment.dateCreation}}</small>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
  </ng-template>


  <ng-template #formContent let-modal>
    <div class="modal-header">
      <h4 class="modal-title" id="modal-form">Ajouter un commentaire</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
        <form [formGroup]="CommentForm" (ngSubmit)="addCommentaire()">
            <div class="form-group">
              <label for="text">Texte</label>
              <input type="text" formControlName="text"  class="form-control" id="text" name="text" placeholder="Entrez le texte de la commentaire...">
            </div>
            <button type="submit" class="btn btn-success" (click)="modal.close()">Ajouter</button>
        </form>
    </div>
  </ng-template>






<app-stats-cards *ngIf="authservice.getCurrentUser().role.nomrole !== 'agent Backoffice'"></app-stats-cards>
<app-stats-dmndes *ngIf="authservice.getCurrentUser().role.nomrole === 'agent Backoffice'"></app-stats-dmndes>




    <div class="wrapper wrapper--w790">
        <div class="card card-5">
            <div class="card-heading">
                <h2 class="title">Chercher un Abonnement </h2>
            </div>
            <div class="card-body">
                <form>
                    <div class="form-row">
                        <div class="name">Critére de Recharche</div>
                        <div class="value">
                            <div class="input-group">
                                <select 
                                    class="input--style-5" 
                                    style="padding: 10px;" 
                                    name="critere" 
                                    [(ngModel)]="critere"
                                    >
                                        <option value="" disabled selected ></option>
                                        <option selected>Adresse Mac</option>
                                        <option>CIN Client</option>
                                        <option>Reférence TT</option>
                                   
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="name">Chercher</div>
                        <div class="value">
                            <div class="input-group">
                                <input class="input--style-5" 
                                type="text" 
                                [(ngModel)]="searchValue" 
                                id="searchValue" 
                                name="searchValue"
                                placeholder="Chercher un abonnement ici...">
                            </div>
                        </div>
                    </div>

                    <div>
                        <button class="searchButton" (click)="searchAbonnement()"><i class='fa fa-search' ></i></button>
                    </div>

                    </form>
                </div>
            </div>
    </div>



<div class="container p-30">
    <div class="row">
        <div class="col-md-12 main-datatable">
            <div class="card_body" *ngIf="authservice.getCurrentUser().role.nomrole !== 'agent Backoffice'">
                <div class="row d-flex">
                <div class="overflow-x">
                    <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" style="width:100%;" id="filtertable" class="table cust-datatable dataTable no-footer">
                        <thead>
                            <tr>
                                <th style="min-width:80px;">Statut Ticket</th>
                                <th style="min-width:80px;">Sujet Ticket</th>
                                <th style="min-width:50px;">Type Ticket</th>
                                <th style="min-width:80px;">Severité</th>
                                <th style="min-width:50px;">Date Résolution</th>
                                <th style="min-width:150px;">Statut N2</th>
                                <th style="min-width:100px;">Agent de Résolution</th>
                                <th style="min-width:50px;">Agent de Création</th>
                                <th style="min-width:30px;">Agent N2</th>
                                <th  style="min-width:30px;">Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let ticket of mesTickets">
                                <td><span *ngIf="ticket.statut === 'créée'" class="mode mode_done">{{ticket.statut}}</span>
                                    <span *ngIf="ticket.statut === 'en cours'" class="mode mode_process">{{ticket.statut}}</span>
                                    <span *ngIf="ticket.statut === 'cloturée'" class="mode mode_off">{{ticket.statut}}</span>
                                    <span *ngIf="ticket.statut === 'résolu'" class="mode mode_on">{{ticket.statut}}</span>
                                </td>
                                <td>{{ticket.sujet}}</td>
                                <td>{{ticket.type}}</td>
                                <td>
                                    <span *ngIf="ticket.severite === 'severe'" class="mode mode_off">{{ticket.severite}}</span>
                                    <span *ngIf="ticket.severite === 'moyenne'" class="mode mode_process">{{ticket.severite}}</span>
                                    <span *ngIf="ticket.severite === 'faible'" class="mode mode_on">{{ticket.severite}}</span>
                                </td>
                                <td>{{ticket.dateResolution | date : 'medium'}}</td>
                                <td><span *ngIf="ticket.statutN2 === 'non escaladée'" class="mode mode_off">{{ticket.statutN2}}</span>
                                    <span *ngIf="ticket.statutN2 === 'escaladée'" class="mode mode_done">{{ticket.statutN2}}</span></td>
                                <td>{{ticket.agentResolution}}</td>
                                <td>{{ticket.user.nom}}</td>
                                <td>{{ticket.agentN2}}</td>
                                <td> 
                                    <div class="btn-group" placement="top" ngbTooltip="Modifier Ticket">
                                        <a class=" dropdown_icon" 
                                        (click)="openUpdateTicket(ticket)">
                                        <i class="fa fa-pencil-square-o"></i> </a>
                                        
                                    </div>
                                    <div class="btn-group" placement="top" 
                                    ngbTooltip="Résoudre Ticket"
                                    >
                                        <a class="dropdown_icon" 
                                        (click)="resolutionTicket(ticket)"
                                        *ngIf="ticket.statut !== 'résolu'"
                                        >
                                        <i class="fa fa-check"></i> </a>
                                    </div>
                                    <div class="btn-group" placement="top" 
                                    ngbTooltip="Escalader Ticket"
                                    *ngIf="role === 'agent support technique' || role === 'admin'"
                                    >
                                        <a class="dropdown_icon" 
                                        (click)="escaladerTicket(ticket)"
                                        *ngIf="ticket.statutN2 !== 'escaladée'"
                                        >
                                        <i class='bx bxs-up-arrow-square'></i></a>
                                    </div>
                                    <div class="btn-group" placement="top" 
                                    ngbTooltip="Commentaires"
                                    >
                                        <a class="dropdown_icon" 
                                        (click)="openComments(contentComments , ticket)"
                                        >
                                        <i class='bx bx-comment-detail' ></i></a>
                                    </div>
                                    <div class="btn-group" placement="top" 
                                    ngbTooltip="Envoyer Mail TT"
                                    *ngIf="role === 'agent support technique N2' || role === 'admin'"
                                    >
                                        <a class="dropdown_icon" 
                                        (click)="open(content , ticket)"
                                        >
                                        <i class='bx bx-mail-send'></i></a>
                                    </div>
                                </td>
                            </tr>
                        </tbody>  
                    </table>
                    <div *ngIf="!mesTickets" class="alert alert-warning">
                        <h2>Aucune Ticket Trouvée</h2>
                    </div>
                </div>
            </div>
        </div>



        <div class="card_body" *ngIf="authservice.getCurrentUser().role.nomrole === 'agent Backoffice'">
                <div class="row d-flex">
                <div class="overflow-x">
                    <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" style="width:100%;" id="filtertable" class="table cust-datatable dataTable no-footer">
                        <thead>
                            <tr>
                                <th style="min-width:100px;">Fréquance Paiement</th>
                                <th style="min-width:80px;">Adresse d'Installation</th>
                                <th style="min-width:100px;">Ville</th>
                                <th style="min-width:100px;">Governorat</th>
                                <th style="min-width:50px;">Etat</th>
                                <th style="min-width:50px;">Télephone ADSL</th>
                                <th style="min-width:50px;">Type</th>
                                <th style="min-width:80px;">Client</th>
                                <th style="min-width:50px;">Offre</th>
                                <th style="min-width:50px;">Agence</th>
                                <th style="min-width:30px;">Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let demande of mesDemandes">
                                <td>{{demande.frequencePaiement}}</td>
                                <td>{{demande.adresseInstallation}}</td>
                                <td>{{demande.ville}}</td>
                                <td>{{demande.gouvernorat}}</td>
                                <td>{{demande.etat}}</td>
                                <td>{{demande.telADSL}}</td>
                                <td>{{demande.typeDemande}}</td>
                                <td>{{demande.client.name}}</td>
                                <td>{{demande.offre.labelle}}</td>
                                <td>{{demande.agence.intitule}}</td>
                                <td>
                                    <div class="btn-group" placement="top" ngbTooltip="Modifier Demande">
                                        <a class=" dropdown_icon" 
                                        (click)="openUpdateDemande(demande)">
                                        <i class="fa fa-pencil-square-o"></i> </a>
                                        
                                    </div> 
                                    <div 
                                    class="btn-group" 
                                    placement="top" 
                                    ngbTooltip="Ajouter Abonnement" 
                                    (click)="openAjoutAbonnement(demande)">
                                        <a class="dropdown_icon">
                                            <i class='bx bxs-file-plus'></i>
                                        </a>
                                        
                                    </div>
                                    <div 
                                    class="btn-group" 
                                    placement="top" 
                                    ngbTooltip="Remarques" 
                                    (click)="open(content , demande)">
                                        <a class="dropdown_icon">
                                            <i class='bx bxs-message-alt-error'></i>
                                        </a>
                                        
                                    </div>
                                </td>
                            </tr>
                        </tbody> 
                    </table>
                    <div *ngIf="!mesDemandes" class="alert alert-warning">
                        <h2>Aucune Demande Trouvée</h2>
                    </div>
                </div>
            </div>
        </div>




        </div>
    </div>
</div>





